This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 799650 - Review Request: python-django-tagging - A generic tagging application for Django projects
Review Request: python-django-tagging - A generic tagging application for Dja...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 736776 962956
  Show dependency treegraph
 
Reported: 2012-03-03 16:50 EST by Matthias Runge
Modified: 2014-10-13 19:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-14 10:08:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2012-03-03 16:50:23 EST
Spec URL: http://www.matthias-runge.de/fedora/python-django-tagging.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-django-tagging-0.3.1-4.fc17.src.rpm
Description: 
A generic tagging application for Django projects, which allows association
of a number of tags with any Model instance and makes retrieval of tags
simple.

Please note: this is a rename review request for an existing package.
Comment 1 Michael Scherer 2012-03-04 09:31:59 EST
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint python-django-tagging-0.3.1-4.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint python-django-tagging-0.3.1-4.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/misc/799650/django-tagging-0.3.1.tar.gz :
  MD5SUM this package     : a0855f2b044db15f3f8a025fa1016ddf
  MD5SUM upstream package : a0855f2b044db15f3f8a025fa1016ddf

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


Since that's a rename, I just tested if the package is imported correctly, 
and I will assume that it work fine. 

I also checked the Obsoletes and Conflicts, and they are correct.

As a side note, there is various tests provided in the tarball, but I am 
not sure if they are easy to use. So I think you should take a look at 
enabling them by default in %check. I just tried to follow the Django 
documentation without success, and this not a blocker. 

So the package is good to me.
Comment 2 Matthias Runge 2012-03-05 02:35:14 EST
Thank you for the review! 

Since we need to clarify, in which branches django-tagging should be replaced, I'll delay the SCM request a little.
Comment 3 Jens Petersen 2012-03-06 02:25:51 EST
Ok please set the fedora-cvs flag when you are ready.
Comment 4 Matthias Runge 2012-03-09 03:25:16 EST
New Package SCM Request
=======================
Package Name: python-django-tagging
Short Description: A generic tagging application for Django projects
Owners: mrunge
Branches: devel
Comment 5 Jon Ciesla 2012-03-09 09:05:17 EST
Git done (by process-git-requests).
Comment 6 Matthias Runge 2012-03-14 10:08:03 EDT
built, old package blocked, orphaned for f18+
Comment 7 Matthias Runge 2013-05-15 02:37:45 EDT
Package Change Request
======================
Package Name: python-django-tagging
New Branches: el6
Owners: mrunge
Comment 8 Jon Ciesla 2013-05-15 06:53:03 EDT
Git done (by process-git-requests).
Comment 9 Jonathan Steffan 2013-09-19 18:25:15 EDT
Package Change Request
======================
Package Name: python-django-tagging
New Branches: el5
Owners: jsteffan
Comment 10 Jon Ciesla 2013-09-20 08:35:17 EDT
Any comments from the primary maintainer?
Comment 11 Matthias Runge 2013-09-23 08:15:39 EDT
Well, tagging looks dead as a dead horse. 
We should verify, which package still uses tagging.
Comment 12 Jonathan Steffan 2013-09-24 20:30:52 EDT
I currently have a need for it for graphite-web and it is blocking an already released (stable) build.
Comment 13 Matthias Runge 2013-09-25 02:46:46 EDT
OK, then I trust you to maintain it on on EL5, though I don't have any EL5 machine here any more.

Package Change Request
======================
Package Name: python-django-tagging
New Branches: el5
Owners: mrunge jsteffan
Comment 14 Matthias Runge 2013-09-25 02:49:13 EDT
Well, the other problem is: there is no supported Django version on EL5. So I guess, you also need to build Django14.
Comment 15 Jon Ciesla 2013-09-25 08:14:32 EDT
Git done (by process-git-requests).
Comment 16 Matthias Runge 2014-10-09 10:55:57 EDT
Package Change Request
======================
Package Name: python-django-tagging
New Branches: epel7
Owners: mrunge
Comment 17 Kevin Fenzi 2014-10-13 19:05:03 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.